@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\clipart\26*.pcx %1:\clipart\
xcopy ..\clipart\126*.lst %1:\clipart\
xcopy articles\*.* %1:\sdpc126\articles\
xcopy quadrade\*.* %1:\sdpc126\quadrade\
xcopy trivpres\*.* %1:\sdpc126\trivpres\
xcopy *.shl %1:\sdpc126\
xcopy copy126.bat %1:\sdpc126\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy ..\criscros\criscros.exe %1:\criscros\
xcopy ..\criscros\26*.crs %1:\criscros\
xcopy ..\criscros\*.gfx %1:\criscros\
xcopy ..\criscros\ccm.* %1:\criscros\
xcopy ..\criscros\*.wl %1:\criscros\
xcopy vorterra\*.* %1:\sdpc126\vorterra\
xcopy rulerpal\*.* %1:\sdpc126\rulerpal\
xcopy m*.shl %1:\sdpc126\
xcopy ..\go.exe %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 3
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\h?fam1st.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\heavenly.cwd %1:\crosword\
xcopy ..\crosword\romans.cwd %1:\crosword\
xcopy ..\sdpc124\columns\*.* %1:\sdpc124\columns\
xcopy m*.shl %1:\sdpc126\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #126 to %1:
echo.
:exit

